Bug 107593 - EDITING No text cursor (caret) after deleting the header (or re-adding the header)
Summary: EDITING No text cursor (caret) after deleting the header (or re-adding the he...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.6.3 release
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords:
Depends on:
Blocks: Text-Cursor
  Show dependency treegraph
 
Reported: 2017-05-03 12:37 UTC by Telesto
Modified: 2019-03-13 14:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-05-03 12:37:39 UTC
Description:
The text cursor (caret) is missing under certain conditions.

Steps to Reproduce:
1. Open Writer Document
2. Click on the top of the page (blue header button appears)
3. Add the header with it; (caret will appear in the header)
4. Click delete header with the header button
5. No caret in the document
5. Re-add the header (also caret in the header)


Actual Results:  
No caret (in the mean document after deleting the header; no caret in the after a re-adding a header)

Expected Results:
I would expect that the caret appears into the mean document (after deleting the header). And appears into the header when adding a header.


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.4.0.0.alpha1+
Build ID: 6d424f07701bf26d8fb173563b567d5f097c33e2
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-03_00:01:56
Locale: pap-CW (nl_NL); Calc: CL


and in
Versie: 4.4.6.3 
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: nl_NL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Shinji Enoki 2017-05-04 06:24:24 UTC
I was reproduced in the following environment.


Version: 5.3.2.2
Build ID: 6cd4f1ef626f15116896b1d8e1398b56da0d0ee1
CPU Threads: 4; OS Version: Linux 3.16; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-US (ja_JP.utf8); Calc: group

Version: 5.4.0.0.alpha1+
Build ID: 9632aa6372174a66c5d8789192d264fb335307b5
CPU threads: 4; OS: Linux 3.16; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-03_14:37:08
Locale: ja-JP (ja_JP.utf8); Calc: group


Other delete procedures, the caret is displayed.
e.g.
Menu [Insert]-[Header and Footer]-[Header]-[Default Style]
Comment 2 Jim Raykowski 2019-03-11 08:04:32 UTC
Hi All, 

Current behavior after header footer delete, either accepted or declined, is that focus is on the header footer window/button. To see this select Delete Header... from the popup menu and either accept or decline the delete then press alt+down arrow or the space or enter key. The popup menu appears. This isn't bad if delete was declined but if delete was accepted the popup menu should not be shown.

Here is a patch that places focus to the main document when delete is accepted and to the header or footer edit window when delete is declined [1]. This eliminates the chance for the popup menu being activated after delete is accepted. 

An option would be to add key input handling for Header/Footer (Default Style) + button to provide the same action taken when the mouse is clicked. In other words add the Header/Footer edit window when alt+down arrow, or the space or enter key is pressed and focus is on the header footer button. Esc could be used to move to the Header/Footer edit window or back to the main document depending on the state of the header footer.

There seems much opportunity for bug fixing in Header Footer :-)

[1] https://gerrit.libreoffice.org/#/c/69032/
Comment 3 Commit Notification 2019-03-13 10:49:02 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b1f15dd7e5a3b58a9595f9419c3208973d9244ff%5E%21

tdf#107593 Show the cursor after header/footer delete

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-03-13 14:47:54 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/b2bb05fc4fddbdcb191f993ba58adab08adbc99b%5E%21

tdf#107593 Show the cursor after header/footer delete

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.